
GammaLib - Bug #3402

Region not copied in spatial diffuse map model

10/15/2020 04:19 PM - Knödlseder Jürgen

Status: Closed Start date: 10/15/2020

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.2   

Description

The region information is not copied in the GModelSpatialDiffuseMap copy constructor. The reason is that in the

GModelSpatialDiffuse base class copy constructor,

GModelSpatialDiffuse::GModelSpatialDiffuse(const GModelSpatialDiffuse& model) : GModelSpatial() 

the model in not in the invoked base class constructor. The correct code is <pre><code class="cpp">

 GModelSpatialDiffuse::GModelSpatialDiffuse(const GModelSpatialDiffuse& model) : GModelSpatial(model) </code><pre>

History

#1 - 10/15/2020 04:44 PM - Knödlseder Jürgen

I created a new bugfix-1.7.2 branch and fixed the problem. The change was also merged into the integration branch.

#2 - 10/17/2020 03:35 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

The bugfix-1.7.2 release is in preparation.
